Vinix· docs
API referenceCore APIMessagingVmboxes

Get VoicemailBox

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/vmboxes/{vm_box_id}

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

vm_box_id*string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/vmboxes/string"
{
  "data": {
    "announcement_only": false,
    "check_if_owner": true,
    "delete_after_notify": false,
    "flags": [
      "string"
    ],
    "include_message_on_notify": true,
    "include_transcription_on_notify": true,
    "is_setup": false,
    "is_voicemail_ff_rw_enabled": false,
    "mailbox": "string",
    "media": {},
    "media_extension": "mp3",
    "name": "string",
    "not_configurable": false,
    "notify": {
      "callback": {
        "attempts": 0,
        "disabled": true,
        "interval_s": 0,
        "number": "string",
        "schedule": [
          0
        ],
        "timeout_s": 0
      }
    },
    "notify_email_addresses": [],
    "oldest_message_first": false,
    "operator_number": 0,
    "owner_id": "stringstringstringstringstringst",
    "pin": "string",
    "require_pin": false,
    "save_after_notify": false,
    "seek_duration_ms": 10000,
    "skip_envelope": false,
    "skip_greeting": false,
    "skip_instructions": false,
    "timezone": "string",
    "transcribe": false
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}